#!/bin/bash
#31/08/2013 et 01/12/2015 TOUSSAINT Gérald grubald@free.fr
#maj 02/09/2013
#maj 29/11/2013 ajout de -a pour controler le volume sonore
#maj 23/06/2015 paplay pour PulseAudio, aplay pour Alsa, spd-say pour speech-dispatcher
# example : echo -n "Il est" $* |  espeak -v mb-fr1 -s 120 -a 30 --stdin| spd-say

# -s 125 = 125 mots à la minutes par défaut 175 plage, (80 à 450)
# -a 50 = Amplitude du volume par défaut 100 plage, (0 à 200)



HEURE() {
DATE=$(date +"%A %-d %B %Y")
#HEURE=$(date +%R)
echo "Nous somme le $DATE et il est $*" | espeak -v mb-fr1 -s 120 -a 30
}

# midi
if [ $(date +%H:%M) == "12:00" ]
then
HEURE "mi di"
elif [ $(date +%H:%M) == "12:01" ]
then
HEURE "mi di, une"
elif [ $(date +%H:%M) == "12:21" ]
then
HEURE "mi di, vingt et une"
elif [ $(date +%H:%M) == "12:31" ]
then
HEURE "mi di, trente et une"
elif [ $(date +%H:%M) == "12:41" ]
then
HEURE "mi di, quarante et une"
elif [ $(date +%H:%M) == "12:51" ]
then
HEURE "mi di, cinquante et une"
elif [ $(date +%H) == "12" ]
then
HEURE "mi di" $(date +%_M)
#vingt et une HEUREs
elif [ $(date +%H:%M) == "21:00" ]
then
HEURE "vingt et une HEURE"
elif [ $(date +%H:%M) == "21:01" ]
then
HEURE "vingt et une HEURE, une"
elif [ $(date +%H:%M) == "21:21" ]
then
HEURE "vingt et une HEURE, vingt et une"
elif [ $(date +%H:%M) == "21:31" ]
then
HEURE "vingt et une HEURE, trente et une"
elif [ $(date +%H:%M) == "21:41" ]
then
HEURE "vingt et une HEURE, quarante et une"
elif [ $(date +%H:%M) == "21:51" ]
then
HEURE "vingt et une HEURE, cinquante et une"
elif [ $(date +%H) == "21" ]
then
HEURE "vingt et une HEURE" $(date +%_M)
#minuit
elif [ $(date +%H:%M) == "00:00" ]
then
HEURE "mi nuit"
elif [ $(date +%H:%M) == "00:01" ]
then
HEURE "mi nuit, une"
elif [ $(date +%H:%M) == "00:21" ]
then
HEURE "mi nuit, vingt et une"
elif [ $(date +%H:%M) == "00:31" ]
then
HEURE "mi nuit, trente et une"
elif [ $(date +%H:%M) == "00:41" ]
then
HEURE "mi nuit, quarante et une"
elif [ $(date +%H:%M) == "00:51" ]
then
HEURE "mi nuit, cinquante et une"
elif [ $(date +%H) == "00" ]
then
HEURE "mi nuit" $(date +%_M)
# une HEURE
elif [ $(date +%H:%M) == "01:00" ]
then
HEURE "une HEURE du matin"
elif [ $(date +%H:%M) == "01:01" ]
then
HEURE "une HEURE, une"
elif [ $(date +%H:%M) == "01:21" ]
then
HEURE "une HEURE, vingt et une"
elif [ $(date +%H:%M) == "01:31" ]
then
HEURE "une HEURE, trente et une"
elif [ $(date +%H:%M) == "01:41" ]
then
HEURE "une HEURE, quarante et une"
elif [ $(date +%H:%M) == "01:51" ]
then
HEURE "une HEURE, cinquante et une"
elif [ $(date +%H) == "01" ]
then
HEURE "une HEURE" $(date +%_M)
#x HEUREs, une minute
elif [ $(date +%M) == "01" ]
then
HEURE $(date "+%_H HEURE, une")
#x HEUREs, vingt et une minute
elif [ $(date +%M) == "21" ]
then
HEURE $(date "+%_H HEURE, vingt et une")
elif [ $(date +%M) == "31" ]
then
HEURE $(date "+%_H HEURE, trente et une")
elif [ $(date +%M) == "41" ]
then
HEURE $(date "+%_H HEURE, quarante et une")
elif [ $(date +%M) == "51" ]
then
HEURE $(date "+%_H HEURE, cinquante et une")
#HEURE classique
elif [ $(date +%M) == "00" ]
then
HEURE $(date "+%_H HEURE")
else
HEURE $(date "+%_H HEURE %_M")
fi 

exit 0






