#!/bin/bash
#################################################################################
#Copyright (C) 2007 Free Software Foundation.

#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.

#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.

#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

##################################################################################
#31/08/2013 TOUSSAINT Gérald grubald@free.fr
#maj 02/09/2013
#maj 29/11/2013 ajout de -a pour controler le volume sonore
#maj 23/06/2015 ajout suite à problème sonore --stdin|paplay espeak et joué par paplay

heure() {
echo -n "Il est" $* |espeak -v mb-fr1 -s 120 -a 30 --stdin|paplay
}

# midi
if [ $(date +%H:%M) == "12:00" ]
then
heure "midi"
elif [ $(date +%H:%M) == "12:01" ]
then
heure "midi, et une minute"
elif [ $(date +%H:%M) == "12:21" ]
then
heure "midi, et vingt et une minutes"
elif [ $(date +%H:%M) == "12:31" ]
then
heure "midi, et trente et une minutes"
elif [ $(date +%H:%M) == "12:41" ]
then
heure "midi, et quarante et une minutes"
elif [ $(date +%H:%M) == "12:51" ]
then
heure "midi, et cinquante et une minutes"
elif [ $(date +%H) == "12" ]
then
heure "midi, et" $(date "+%_M minutes")
#vingt et une heures
elif [ $(date +%H:%M) == "21:00" ]
then
heure "vingt et une heure"
elif [ $(date +%H:%M) == "21:01" ]
then
heure "vingt et une heure, et une minute"
elif [ $(date +%H:%M) == "21:21" ]
then
heure "vingt et une heure, et vingt et une minutes"
elif [ $(date +%H:%M) == "21:31" ]
then
heure "vingt et une heure, et trente et une minutes"
elif [ $(date +%H:%M) == "21:41" ]
then
heure "vingt et une heure, et quarante et une minutes"
elif [ $(date +%H:%M) == "21:51" ]
then
heure "vingt et une heure, et cinquante et une minutes"
elif [ $(date +%H) == "21" ]
then
heure "vingt et une heure, et" $(date "+%_M minutes")
#minuit
elif [ $(date +%H:%M) == "00:00" ]
then
heure "minuit"
elif [ $(date +%H:%M) == "00:01" ]
then
heure "minuit, et une minute"
elif [ $(date +%H:%M) == "00:21" ]
then
heure "minuit, et vingt et une minutes"
elif [ $(date +%H:%M) == "00:31" ]
then
heure "minuit, et trente et une minutes"
elif [ $(date +%H:%M) == "00:41" ]
then
heure "minuit, et quarante et une minutes"
elif [ $(date +%H:%M) == "00:51" ]
then
heure "minuit, et cinquante et une minutes"
elif [ $(date +%H) == "00" ]
then
heure "minuit, et" $(date "+%_M minutes")
# une heure
elif [ $(date +%H:%M) == "01:00" ]
then
heure "une heure du matin"
elif [ $(date +%H:%M) == "01:01" ]
then
heure "une heure, et une minute"
elif [ $(date +%H:%M) == "01:21" ]
then
heure "une heure, et vingt et une minutes"
elif [ $(date +%H:%M) == "01:31" ]
then
heure "une heure, et trente et une minutes"
elif [ $(date +%H:%M) == "01:41" ]
then
heure "une heure, et quarante et une minutes"
elif [ $(date +%H:%M) == "01:51" ]
then
heure "une heure, et cinquante et une minutes"
elif [ $(date +%H) == "01" ]
then
heure "une heure, et" $(date "+%_M minutes")
#x heures, une minute
elif [ $(date +%M) == "01" ]
then
heure $(date "+%_H heure, et une minute")
#x heures, vingt et une minutes
elif [ $(date +%M) == "21" ]
then
heure $(date "+%_H heure, et vingt et une minutes")
elif [ $(date +%M) == "31" ]
then
heure $(date "+%_H heure, et trente et une minutes")
elif [ $(date +%M) == "41" ]
then
heure $(date "+%_H heure, et quarante et une minutes")
elif [ $(date +%M) == "51" ]
then
heure $(date "+%_H heure, et cinquante et une minutes")
#heure classique
elif [ $(date +%M) == "00" ]
then
heure $(date "+%_H heure")
else
heure $(date "+%_H heure, et %_M minutes")
fi 

exit 0